# $Revision: 1.30 $, $Date: 2006/05/19 21:16:10 $
%define epache_version	0.1.4
Summary:	Utils controlling emu10k1 processor
Summary(pl):	Narzdzia kontrolujce procesor emu10k1
Name:		emu10k1-utils
Version:	0.9.4
Release:	7
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/emu10k1/emu-tools-%{version}.tar.gz
# Source0-md5:	906fc53ad142bb4d3531c941d7878264
Source1:	http://www.geocities.com/hsokolow2001/linux/epache-%{epache_version}.tgz
# Source1-md5:	f85a9f71485a4f8667084010e7c18e6f
Source2:	m2049.pdf
Source3:	hog63.ps
Patch0:		%{name}-path.patch
Patch1:		%{name}-aumix.patch
Patch2:		%{name}-fv10k1.patch
Patch3:		%{name}-gcc33.patch
Patch4:		%{name}-nokernel.patch
URL:		http://sourceforge.net/projects/emu10k1/
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRequires:	m4
BuildRequires:	perl-base
Conflicts:	alsa-driver
Conflicts:	kernel < 2.4.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The emu10k1 is really a dsp processor. It does not do any effects on
it's own, nor does it route sound from input to output. We had to
write dsp code to do that ourselves. emu10k1-utils allows us to set
routing, load/unload patches (aka effects), control GPRs, map mixer
elements.

This package contains emu-dspmgr, a tool for configuring the cards dsp
patch management system and emu-config, a configuration tool for
emu10k1 based sound cards. Also, several ".bin" dsp patches will be
installed. You can load these patches using emu-dspmgr.

%description -l pl
emu10k1 jest w rzeczywistoci procesorem sygnaw cyfrowych (dsp). Nie
robi adnych efektw sam z siebie, ani nie kieruje dwiku z wejcia
na wyjcie. Odpowiedzialny za to kod dsp musi by napisany i
zaadowany. emu10k1-utils pozwala ustawi routing, (za/wy)adowa
atki (efekty), kontrolowa ich parametry (np. przez odzwierciedlenie
w mikserze).

Ten pakiet zawiera emu-dspmgr, narzdzie obsugujce system
zarzdzania atkami dsp karty i emu-config, konfigurator kart
dwikowych opartych na emu10k1. Zainstalowane zostanie rwnie kilka
gotowych, skompilowanych atek, ktre mona zaadowa uywajc
emu-dspmgr.

%package devel
Summary:	emu10k1 programming utils
Summary(pl):	Narzdzia do programowania emu10k1
Group:		Applications/Sound

%description devel
Package contains:
- as10k1 - Assembler for the emu10k1 DSP Processor
- patches sources

%description devel -l pl
Pakiet zawiera:
- as10k1 - asembler dla procesora emu10k1
- rda atek z gwnego pakietu

%package autoconfig
Summary:	emu10k1 autoconfiguration on module load
Summary(pl):	Skrypt konfigurujcy emu10k1 przy adowaniu moduu
Group:		Applications/Sound
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name} = %{version}-%{release}
Requires:	aumix
Requires:	module-init-tools >= 3.2.2-2

%description autoconfig
Script loading patches. Currently it cannot do too much.

%description autoconfig -l pl
Skrypt adujcy atki. W chwili obecnej nie potrafi zbyt duo.

%package epache
Summary:	Program for configuring patches for emu10k1 based sound cards
Summary(pl):	Program konfigurujcy atki dla kart opartych na emu10k1
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description epache
- with the help of emu-dspmgr you can easily load a patch to the card
  on the specified line (the patch must be generated with the as10k1
  assembler) and clean the card from it.
- you can control 'CONTROL GPRS' of loaded patches (such as speed in
  flanger)
- you can save sessions and load them later, session is a list of
  patches currenlty loaded with values of controls.

%description epache -l pl
- z pomoc emu-dspmgra moesz atwo adowa aty do karty na dan
  lini (ata musi by wygenerowana przez asembler as10k1) oraz
  wyczyci z niej kart,
- moesz kontrolowa rejestry kontrolne zaadowanych at,
- moesz zachowywa sesje i adowa je; sesja jest list aktualnie
  zaadowanych at z wartociami kontrolnymi.

%prep
%setup -n emu-tools-%{version} -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

cp %{SOURCE2} %{SOURCE3} .

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -W -Wall"

cd dbgemu
%{__cc} %{rpmldflags} %{rpmcflags} -Wall -o dbgemu dbgemu.c

cd ../fv10k1
%{__cxx} %{rpmldflags} %{rpmcflags} -Wall -o calcroom calcroom.C
%{__make}
cd ..

%{__make} -C epache-%{epache_version} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall \$(GTK_CFLAGS)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/emu10k1/asm

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install epache-%{epache_version}/epache $RPM_BUILD_ROOT%{_bindir}
install dbgemu/dbgemu $RPM_BUILD_ROOT%{_bindir}
mv dbgemu/README dbgemu/README.dbgemu
install as10k1/effects/*.asm $RPM_BUILD_ROOT%{_datadir}/emu10k1/asm
install as10k1/effects/*.inc $RPM_BUILD_ROOT%{_datadir}/emu10k1/asm

gzip -9nf $RPM_BUILD_ROOT%{_datadir}/emu10k1/asm/*
gzip -9nf $RPM_BUILD_ROOT%{_datadir}/emu10k1/README
install -d $RPM_BUILD_ROOT/etc/modprobe.d
cat <<'EOF' > $RPM_BUILD_ROOT/etc/modprobe.d/%{name}.conf
install emu10k1 /sbin/modprobe --ignore-install emu10k1 && { /usr/bin/emu-script; }
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun autoconfig -- emu10k1-utils-autoconfig < 0.9.4-6.1
%{__sed} -i -e '/install emu10k1 /d' /etc/modprobe.conf

%files
%defattr(644,root,root,755)
%doc docs/CHANGES docs/README docs/README.FAQ dbgemu/README.dbgemu
%attr(754,root,root) %{_bindir}/emu-config
%attr(754,root,root) %{_bindir}/emu-dspmgr
%attr(754,root,root) %{_bindir}/dbgemu
%dir %{_datadir}/emu10k1
%{_datadir}/emu10k1/*.bin
%{_datadir}/emu10k1/README.gz
%{_mandir}/man1/emu-*

%files devel
%defattr(644,root,root,755)
%doc docs/dsp.txt docs/manuals.txt docs/multichannel.txt docs/TODO hog63.ps m2049.pdf
%attr(755,root,root) %{_bindir}/as10k1
%{_datadir}/emu10k1/asm
%{_mandir}/man1/as10k1*

%files autoconfig
%defattr(644,root,root,755)
%attr(754,root,root) %{_bindir}/emu-script
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/emu10k1.conf

%files epache
%defattr(644,root,root,755)
%doc epache-%{epache_version}/README
%attr(755,root,root) %{_bindir}/epache

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: emu10k1-utils.spec,v $
Revision 1.30  2006/05/19 21:16:10  glen
- use /etc/modprobe.d dir; rel 7

Revision 1.29  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.28  2005/06/01 20:09:33  zbyniu
- BR: perl-base

Revision 1.27  2004/08/31 04:51:02  snurf
- typo / formatting / etc.

Revision 1.26  2004/05/06 20:19:58  qboosh
- added nokernel patch (fixes build on sparc)
- strict internal deps, release 6

Revision 1.25  2004/04/27 16:01:22  wolf
- 2.6.x support
- rel 5

Revision 1.24  2004/04/26 15:13:37  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.23  2003/09/01 10:10:49  qboosh
- added gcc33 patch, use optflags
- killed xbindir, binaries globally readable, as10k1 accessible for everyone

Revision 1.22  2003/08/31 21:15:50  blues
- release 3

Revision 1.21  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.20  2003/05/28 12:58:54  malekith
- massive attack: source-md5

Revision 1.19  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:47:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/28 10:07:49  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.16  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.15  2002/12/29 21:18:42  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.14  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.13  2002/12/27 14:32:11  wolf
- screw fv10k1

Revision 1.12  2002/12/02 11:06:16  ankry
- massive cleaning

Revision 1.11  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.10  2002/04/25 16:15:17  arturs
fixed a small typo

Revision 1.9  2002/03/27 14:24:07  wolf
- source 2&3 is no longer on creative's ftp

Revision 1.8  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.7  2002/03/04 12:55:37  wolf
- release 2
- added Live! technical documentation to -devel
- corrected typo
- changed group of epache
- added dbgemu
- cosmetics

Revision 1.6  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/19 18:53:33  gotar
- %desc

Revision 1.4  2002/01/30 11:46:44  wolf
- updated to 0.9.4
- added epache (x11 config tool)

Revision 1.3  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/10 08:23:05  wolf
- devel doesn't need main package

Revision 1.1  2002/01/05 18:23:10  wolf
- initial release
